# WOK
TKWOK
WOKUnix

# WOKUnix_Buffer Class Reference

`#include <WOKUnix_Buffer.hxx>`

Inheritance diagram for WOKUnix_Buffer:

[legend]

## Public Member Functions

Standard_EXPORT void | Clear ()
Standard_EXPORT WOKUnix_FDescr | GetFDescr () const
Standard_EXPORT void | SetFDescr (const WOKUnix_FDescr &afd)
Standard_EXPORT WOKUnix_BufferIs | BufferIs () const
Standard_EXPORT WOKUnix_FDescr | AssociatedChannel () const
virtual Standard_EXPORT void | Select (Standard_Integer &afd, WOKUnix_Timeval &atimeout, WOKUnix_FDSet &aset) const =0
virtual Standard_EXPORT void | Acquit (const Standard_Integer astatus, const WOKUnix_FDSet &aset)=0
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Echo ()
virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | Errors ()
Standard_EXPORT void | Write (WOKUnix_FDescr &afd)
virtual Standard_EXPORT void | Close ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKUnix_Buffer (const WOKUnix_FDescr &afd, const WOKUnix_BufferIs astd)

## Private Attributes

WOKUnix_FDescr | myfd
WOKUnix_BufferIs | mystd

## Constructor & Destructor Documentation

Standard_EXPORT WOKUnix_Buffer::WOKUnix_Buffer | ( | const WOKUnix_FDescr & | afd,
|  | const WOKUnix_BufferIs | astd
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_Buffer::Acquit | ( | const Standard_Integer | astatus,
|  | const WOKUnix_FDSet & | aset
| ) | `[pure virtual]`

| Implemented in WOKUnix_CantBlockBuffer, WOKUnix_FileBuffer, and WOKUnix_NoBuffer.

Standard_EXPORT WOKUnix_FDescr WOKUnix_Buffer::AssociatedChannel | ( |  | ) | const

Standard_EXPORT WOKUnix_BufferIs WOKUnix_Buffer::BufferIs | ( |  | ) | const

Standard_EXPORT void WOKUnix_Buffer::Clear | ( |  | ) |

virtual Standard_EXPORT void WOKUnix_Buffer::Close | ( |  | ) | `[virtual]`

| Reimplemented in WOKUnix_CantBlockBuffer, WOKUnix_FileBuffer, and WOKUnix_NoBuffer.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_Buffer::Echo | ( |  | ) | `[virtual]`

| Reimplemented in WOKUnix_FileBuffer.

virtual Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKUnix_Buffer::Errors | ( |  | ) | `[virtual]`

| Reimplemented in WOKUnix_FileBuffer.

Standard_EXPORT WOKUnix_FDescr WOKUnix_Buffer::GetFDescr | ( |  | ) | const

Standard_EXPORT const WOKUnix_Buffer::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKUnix_CantBlockBuffer, WOKUnix_FileBuffer, and WOKUnix_NoBuffer.

virtual Standard_EXPORT void WOKUnix_Buffer::Select | ( | Standard_Integer & | afd,
|  | WOKUnix_Timeval & | atimeout,
|  | WOKUnix_FDSet & | aset
| ) | const`[pure virtual]`

| Implemented in WOKUnix_CantBlockBuffer, WOKUnix_FileBuffer, and WOKUnix_NoBuffer.

Standard_EXPORT void WOKUnix_Buffer::SetFDescr | ( | const WOKUnix_FDescr & | afd | ) |

Standard_EXPORT void WOKUnix_Buffer::Write | ( | WOKUnix_FDescr & | afd | ) |

## Field Documentation

WOKUnix_FDescr WOKUnix_Buffer::myfd `[private]`

WOKUnix_BufferIs WOKUnix_Buffer::mystd `[private]`

The documentation for this class was generated from the following file:

- WOKUnix_Buffer.hxx